Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000388Frama-CPlug-in > Evapublic2010-02-01 15:092014-02-12 16:56
Reporteryakobowski 
Assigned Tomonate 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C GIT, precise the release id 
Target VersionFixed in VersionFrama-C Boron-20100401 
Summary0000388: Incorrect 'assert false' in value analysis
DescriptionThis might be related to variadic calls, but I'm not really sure.

The crash is triggered by the following code:

typedef void *va_list;

#define va_start(AP, LASTARG) \
 (AP = ((va_list) __builtin_next_arg (LASTARG)))


void main(const char *pszMessage,...) {
  va_list vlParameters;
  va_start(vlParameters,pszMessage);
}
Additional InformationSVN 7571
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2010-02-01 15:09 yakobowski New Issue
2010-02-01 15:09 yakobowski Status new => assigned
2010-02-01 15:09 yakobowski Assigned To => pascal
2010-02-01 20:07 monate Assigned To pascal => monate
2010-02-01 20:07 monate Status assigned => resolved
2010-02-01 20:07 monate Resolution open => fixed
2010-04-13 15:30 signoles Status resolved => new
2010-04-13 15:31 signoles Status new => closed
2010-04-13 15:33 signoles Fixed in Version => Frama-C Boron
2018-01-12 14:26 signoles Category Plug-in > value analysis => Plug-in > Eva


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker